/*
   Copyright (c) 2019-2020 Laurent Montel <montel@kde.org>

   This library is free software; you can redistribute it and/or modify
   it under the terms of the GNU Library General Public License as published
   by the Free Software Foundation; either version 2 of the License or
   ( at your option ) version 3 or, at the discretion of KDE e.V.
   ( which shall act as a proxy as in section 14 of the GPLv3 ), any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

import QtQuick 2.9
import QtQuick.Window 2.2
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5 as QQC2

import org.kde.kirigami 2.7 as Kirigami


QQC2.ComboBox {
    id: statusCombobox
    Layout.alignment: Qt.AlignLeft

    //textRole is removed as a workaround for now to draw our own text
    //textRole: "statusi18n"
    property variant icon
    property string text
    onActivated: {
        appid.rocketChatAccount.changeDefaultStatus(index, "")
    }
    currentIndex: model.currentStatus
    
    delegate: Kirigami.BasicListItem {
        property bool current: index === statusCombobox.currentIndex
        separatorVisible: false
        onCurrentChanged: {
            if (current) {
                statusCombobox.text = model.statusi18n
                statusCombobox.icon = model.icon
            }
        }
        icon: model.icon
        label: model.statusi18n
    }
    //FIXME: QQC2 combobox really, really needs icons support
    contentItem: RowLayout {
        Kirigami.Icon {
            Layout.preferredWidth: Kirigami.Units.iconSizes.smallMedium
            Layout.fillHeight: true
            source: statusCombobox.icon
        }
        QQC2.Label {
            text: statusCombobox.text
            verticalAlignment: Text.AlignVCenter
            Layout.fillHeight: true
        }
        Item {
            Layout.fillWidth: true
        }
    }
}
